-- Script para cuando golpean a cojoncio
--

Accion(EFECTO_GOLPEADO, 0.4)

if Accion(GET_VIDA)  > 0
then
   --Animaciones que no pueden interrumpirse por un golpe
   if (not Accion(ANI_SEL, "ANI_PUNCH1_OUCH") )
      and (not Accion(ANI_SEL,"ANI_DOWN") ) 
   then
      Accion(CHORRO_SANGRE)
      Accion(SET_VIDA,Accion(GET_VIDA) - 1.0)
      
      --si ha muerto
      if Accion(GET_VIDA) <= 0 then
         if Accion(ANI_SEL,"ANI_COMBO6_OUCH") then
            Accion(SELECCIONA_ANI,"ANI_LOSEFULL")
            Accion(SET_TIEMPO_ESTELA,2.0)
            Accion(SET_SALTOY, -2.0)

            if Accion(GET_FLIP) == 1 then
               Accion(SET_SALTOX, Accion(GET_SALTOX) - 0.8 )
            else
               Accion(SET_SALTOX, Accion(GET_SALTOX) + 0.8 )
            end

            Accion(SET_BULLET_TIME, 5.0)
            Accion(SET_VIDA, 0)
         else
            Accion(SELECCIONA_ANI, "ANI_COMBO6_OUCH")
            Accion(SET_VIDA, 0.001)
            nVecesStunt = 0
         end
      else
         Accion(SELECCIONA_ANI,"ANI_PUNCH1_OUCH")
         if tiempoUltimoGolpe > 1 then
			golpesRecibidos = 0
--			LOG("Tiempo Ultimo Golpe: "..tiempoUltimoGolpe)
			tiempoUltimoGolpe = 0.0
		 end
         -- Comprobacion de los golpes recibios
		if Accion(TECLADO_TEST, ACCIONGOLPE, ACCION_PUNCH1) 
		then
			golpesRecibidos = golpesRecibidos + 1
			tiempoUltimoGolpe = 0.0
		else
			if Accion(TECLADO_TEST, ACCIONGOLPE, ACCION_KICK1) 
			then
				golpesRecibidos = golpesRecibidos + 1
				tiempoUltimoGolpe = 0.0
			else
				golpesRecibidos = 0
			end
		end         

		--EXPERIMENTAL: Si recibe tres golpes seguidos salta y se queda atontado
		if golpesRecibidos > 2 then
			golpesRecibidos = 0
			Accion(SELECCIONA_ANI,"ANI_LOSE2")
			--Accion(SET_TIEMPO_ESTELA,2.0)
			Accion(SET_SALTOY, -2.0)

			if Accion(GET_FLIP) == 1 then
				Accion(SET_SALTOX, Accion(GET_SALTOX) - 0.8 )
			else
				Accion(SET_SALTOX, Accion(GET_SALTOX) + 0.8 )
			end
		end
		-- FIN EXPERIMENTAL         
      end

      Accion(PON_SONIDO,Sonido2)

   end
end

--TODO: La limitacion esta puesta para que al morir no se lance
-- pero si la comprobacion se hace solo al morir se puede hacer
-- mas espectaculares algunos golpes con mas fuerza
-- solo tener cuidado cuando esten en el aire (puede no quedar bien)

-- TODO: hacer que la velX dependa de la fuerza del golpe
-- desplaza al bicho si le pegan
Accion(SET_SALTOX, Accion(GET_SALTOX) + (0.2 * Accion(OTRO_GET_FLIP) * Accion(OTRO_DAME_POTENCIA)) )
--	pero no demasiado
if Accion(GET_SALTOX) > 0.8 then
   Accion(SET_SALTOX,0.8)
end
if Accion(GET_SALTOX) < -0.8 then
   Accion(SET_SALTOX,-0.8)
end
